PHP Manual
Prev |  | Next

# date_parse

(no version information, might be only in CVS)

date_parse -- Returns associative array with detailed info about given date

## Description

array date_parse ( string date )

## Parameters

`date`

  Date in format accepted by strtotime().

## Return Values

Returns array on success or `FALSE` on failure.

## Examples

Example 1. A date_parse() example

`<?php print_r(date_parse("2006-12-12 10:00:00.5")); ?>`

The above example will output:

    Array
    (
        [year] => 2006
        [month] => 12
        [day] => 12
        [hour] => 10
        [minute] => 0
        [second] => 0
        [fraction] => 0.5
        [warning_count] => 0
        [warnings] => Array()
        [error_count] => 0
        [errors] => Array()
        [is_localtime] =>
    )

## See Also

getdate()

Prev | Home | Next
date_offset_get | Up | date_sun_info